Subject: Re: bug#15946: 24.3; Mac OS X, Mavericks, distnoted process

From: Jonathan Payne <[email-masked]>
Date: Wed, 15 Jan 2014 13:41:01 +0000

I have downloaded the nightly and my problem is solved. Neither distnoted nor emacs is leaking anymore.

Well - ok there is apparently one leak occurring in emacs. It looks sort of like a string with a regular expression in it:

> leaks Report Version:  2.0
> Process 634: 59789 nodes malloced for 19799 KB
> Process 634: 1 leak for 16384 total leaked bytes.
> Leak: 0x100e20600  size=16384  zone: DefaultMallocZone_0x100687000
> 	0x00000000 0x50000000 0x00000000 0x50000000 	.......P.......P
> 	0x00000000 0x00000000 0x0000004b 0x00000000 	........K.......
> 	0x74696e69 0x4e7c5c79 0x7c5c4e61 0x75677261 	inity\|NaN\|argu
> 	0x746e656d 0x667c5c73 0x65736c61 0x756e7c5c 	ments\|false\|nu
> 	0x7c5c6c6c 0x3f285c74 0x7369683a 0x75727c5c 	ll\|t\(?:his\|ru
> 	0x5c295c65 0x646e757c 0x6e696665 0x295c6465 	e\)\|undefined\)
> 	0x003e5f5c 0x00000000 0x00000000 0x00000000 	\_>.............
> 	0x00000012 0x00000000 0x7079746f 0x5c295c65 	........otype\)\
> 	...

So, I think this was caused by turning on flyspell-mode. The size is 16k which just reeks of two 8k buffers associated with a pipe or something.

Thanks for all the help with this issue.

JP

On 15 Jan 2014, at 06:26, Jan Djärv <[email-masked]> wrote:

> Hi.
> 
> 14 jan 2014 kl. 23:17 skrev Jonathan Payne <[email-masked]>:
> 
>> Hi Jan,
>> 
>> [Removed the list from this email]
> 
> Don't do that unless you are attaching something big.
> 
>> 
>> Are there already-compiled versions out there? Or do I have to download the toolchain to build it myself? I am not sure I want to go there... even though I think I already have the necessary toolchain installed ...
> 
> http://emacsforosx.com/builds has nightlies.  Use the newest of those.
> 
> 	Jan D.
> 
>> 
>> Regarding the leaks in my previous message, each line output says "Leak: ...". So I think by definition it's a leak: there are no pointers or "maybe pointers" pointing to the block in question. If the blocks are all pointing to each other, then the leak could be that the first block is not being pointed to, but regardless they are all unreachable by anything looking like a pointer in all of the stacks and heap and static memory of the process.
>> 
> 
> I forgot, you should start your Emacs like this:
> 
> % MallocStackLogging=1 .../pah/to/Emacs.app/Contents/MacOS/Emacs
> 
> and then run leaks.  It will then print a stack trace also.  This may slow Emacs down a bit.
> 
> 	Jan D.
>